Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.hybrid
Class StateChart

    java.lang.Object
      biouml.plugins.simulation.hybrid.StateChart

public class StateChart
extends java.lang.Object

Field Summary
`protected java.util.Vector` | `conditionalTriggers`
`protected java.util.Vector` | `eventQueue`
`protected State` | `state` Current state.
`protected java.util.Hashtable` | `stateMap`
`protected double` | `time` Current time.
`protected java.util.Vector` | `transitionList`

Constructor Summary
`StateChart()`

Method Summary
`void` | `addState(State state)`
`void` | `addState(java.lang.String name, java.lang.String comment)`
`void` | `addTransition(java.lang.String from, java.lang.String to, java.lang.String triggerType, java.lang.String trigger, java.lang.String comment)`
`void` | `addTransition(Transition transition)`
`Trigger` | `getConditionalTrigger(int i)`
`java.util.Vector` | `getEventQueue()`
`Trigger` | `getFirstTimeTrigger()` Returns first time trigger available from the current state.
`State` | `getState()`
`double` | `getTime()`
`void` | `setState(State state)`
`void` | `setState(java.lang.String stateName)`
`void` | `setTime(double time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stateMap

    protected java.util.Hashtable stateMap

### transitionList

    protected java.util.Vector transitionList

### eventQueue

    protected java.util.Vector eventQueue

### conditionalTriggers

    protected java.util.Vector conditionalTriggers

### time

    protected double time

  Current time.

### state

    protected State state

  Current state.

Constructor Detail

### StateChart

    public StateChart()

Method Detail

### addState

    public void addState(State state)

### addState

    public void addState(java.lang.String name,
                         java.lang.String comment)

### addTransition

    public void addTransition(Transition transition)

### addTransition

    public void addTransition(java.lang.String from,
                              java.lang.String to,
                              java.lang.String triggerType,
                              java.lang.String trigger,
                              java.lang.String comment)

  Pendung:
    expand transition name if transition with the same name already exists

### getTime

    public double getTime()

### setTime

    public void setTime(double time)

### getState

    public State getState()

### setState

    public void setState(java.lang.String stateName)

### setState

    public void setState(State state)

### getEventQueue

    public java.util.Vector getEventQueue()

### getFirstTimeTrigger

    public Trigger getFirstTimeTrigger()

  Returns first time trigger available from the current state.

### getConditionalTrigger

    public Trigger getConditionalTrigger(int i)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.